Package org.apache.calcite.avatica

# Class Meta.StatementHandle

java.lang.Object
org.apache.calcite.avatica.Meta.StatementHandle

Enclosing interface:
  Meta

public static class Meta.StatementHandle extends Object
Statement handle.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`connectionId`
`final int`
`id`
`Meta.Signature`
`signature`
Only present for PreparedStatement handles, null otherwise.

## Constructor Summary

Constructors
Constructor
Description
`StatementHandle(String connectionId, int id, Meta.Signature signature)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`static Meta.StatementHandle`
`fromProto(org.apache.calcite.avatica.proto.Common.StatementHandle protoHandle)`
`int`
`hashCode()`
`org.apache.calcite.avatica.proto.Common.StatementHandle`
`toProto()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### connectionId

public final String connectionId

### id

public final int id

### signature

public Meta.Signature signature
Only present for PreparedStatement handles, null otherwise.

## Constructor Details

### StatementHandle

public StatementHandle(String connectionId, int id, Meta.Signature signature)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### toProto

public org.apache.calcite.avatica.proto.Common.StatementHandle toProto()

### fromProto

public static Meta.StatementHandle fromProto(org.apache.calcite.avatica.proto.Common.StatementHandle protoHandle)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`